'use strict';

var RelatorioComposicaoController = angular.module('RelatorioComposicaoController', []);

RelatorioComposicaoController.controller('RelatorioComposicaoCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
    ($scope, $filter, Relatorio, CacheApp) => {

        $scope.construcao = CacheApp.getConstrucao();
        $scope.assinatura = true;
        $scope.descricaoObra = true;

        $scope.getRelatorioComposicao = () => {
            $scope.lista = {};
            Relatorio.getRelatorioComposicao($scope.construcao.Id,
                (data) => {
                    $scope.lista = data.Instance;
                });
        }
        $scope.getRelatorioComposicao();

        $scope.pdfRelatorioComposicao = () => {
            var cabecalho = {
                Avatar: $scope.construcao.ContaAvatar,
                Obra: $scope.construcao.Titulo,
                Conta: $scope.construcao.Conta,
                DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
                DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
                Moeda: $scope.construcao.Moeda
            };

            if ($scope.assinatura == true) {
                cabecalho.Responsavel = $scope.construcao.Contato
            };
            if ($scope.descricaoObra == true) {
                cabecalho.DescricaoObra = $scope.construcao.Descricao
            };

            Relatorio.pdfRelatorioComposicao($scope.construcao.Id, cabecalho,
                (data) => {
                    window.location.assign(data.Instance);
                });
        }

        $scope.xlsRelatorioComposicao = () => {
            var cabecalho = {
                Avatar: $scope.construcao.ContaAvatar,
                Obra: $scope.construcao.Titulo,
                Conta: $scope.construcao.Conta,
                DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
                DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
                Moeda: $scope.construcao.Moeda
            };

            Relatorio.xlsRelatorioComposicao($scope.construcao.Id, cabecalho,
                (data) => {
                    window.location.assign(data.Instance);
                });
        }
    }]);
